papers: Details about an author's papers

API: semanticscholar.org:semantic-scholar-api
Endpoint: /author/{author_id}/papers
Response format: text/html
Auth: unknown
Method: GET
Last Status: 403
Latency: 120ms

Description

Fetch the papers of an author in batches.<br> Only retrieves the most recent 10,000 citations/references for papers belonging to the batch.<br> To retrieve the full set of citations for a paper, use the /paper/{paper_id}/citations endpoint <br><br> Examples: <ul> <li><code>https://api.semanticscholar.org/graph/v1/author/1741101/papers</code></li> <ul> <li>Return with offset=0, and data is a list of the first 100 papers.</li> <li>Each paper has its paperId and title.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/author/1741101/papers?fields=url,year,authors&limit=2</code></li> <ul> <li>Returns with offset=0, next=2, and data is a list of 2 papers.</li> <li>Each paper has its paperId, url, year, and list of authors.</li> <li>Each author has their authorId and name.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/author/1741101/papers?fields=citations.authors&offset=260</code></li> <ul> <li>Returns with offset=260, and data is a list of the last 4 papers.</li> <li>Each paper has its paperId and a list of citations.</li> <li>Each citation has its paperId and a list of authors.</li> <li>Each author has their authorId and name.</li> </ul> </ul>

Parameters (5)

author_id (string, path, required)
fields (string, query, optional)

A comma-separated list of the fields to be returned. See the contents of the <code>data</code> array in Response Schema below for a list of all available fields that can be returned. The <code>paperId</code> field is always returned. If the fields parameter is omitted, only the <code>paperId</code> and <code>title</code> will be returned. To fetch more references or citations per paper, reduce the number of papers in the batch with <code>limit=</code>. <p>Use a period (“.”) for subfields of <code>citations</code> and <code>references</code>.<br><br> Examples: <ul> <li><code>fields=title,fieldsOfStudy,references</code></li> <li><code>fields=abstract,citations.url,citations.venue</code></li> </ul>

limit (integer, query, optional, default: 100)

The maximum number of results to return.<br> Must be <= 1000

offset (integer, query, optional, default: 0)

Used for pagination. When returning a list of results, start with the element at this position in the list.

publicationDateOrYear (string, query, optional)

Restricts results to the given range of publication dates or years (inclusive). Accepts the format <code>&lt;startDate&gt;:&lt;endDate&gt;</code> with each date in <code>YYYY-MM-DD</code> format. <br> <br> Each term is optional, allowing for specific dates, fixed ranges, or open-ended ranges. In addition, prefixes are supported as a shorthand, e.g. <code>2020-06</code> matches all dates in June 2020. <br> <br> Specific dates are not known for all papers, so some records returned with this filter will have a <code>null</code> value for </code>publicationDate</code>. <code>year</code>, however, will always be present. For records where a specific publication date is not known, they will be treated as if published on January 1st of their publication year. <br> <br> Examples: <ul> <li><code>2019-03-05</code> on March 5th, 2019</li> <li><code>2019-03</code> during March 2019</li> <li><code>2019</code> during 2019</li> <li><code>2016-03-05:2020-06-06</code> as early as March 5th, 2016 or as late as June 6th, 2020</li> <li><code>1981-08-25:</code> on or after August 25th, 1981</li> <li><code>:2015-01</code> before or on January 31st, 2015</li> <li><code>2015:2020</code> between January 1st, 2015 and December 31st, 2020</li> </ul>

Examples (3)

Basic author papers request curl
curl 'https://api.semanticscholar.org/author/1740395/papers' \
  -d '{"error": "Not found"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/author/1740395/papers",
    json={
        'error': 'Not found',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/{author_id}/papers")

for item in result:
    print(item)
const body = {
  "error": "Not found"
};

const resp = await fetch("https://api.semanticscholar.org/author/1740395/papers", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Author papers with specific fields curl
curl 'https://api.semanticscholar.org/author/1740395/papers?fields=paperId%2Ctitle%2Cyear%2CcitationCount%2Cauthors&limit=10' \
  -d '{"error": "Not found"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/author/1740395/papers",
    params={
        'fields': 'paperId,title,year,citationCount,authors',
        'limit': '10',
    },
    json={
        'error': 'Not found',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/{author_id}/papers", fields="paperId,title,year,citationCount,authors", limit=10)

for item in result:
    print(item)
const body = {
  "error": "Not found"
};

const resp = await fetch("https://api.semanticscholar.org/author/1740395/papers?fields=paperId%2Ctitle%2Cyear%2CcitationCount%2Cauthors&limit=10", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Author papers with pagination and date filter curl
curl 'https://api.semanticscholar.org/author/1740395/papers?fields=paperId%2Ctitle%2Cyear&limit=50&offset=50&publicationDateOrYear=2020%3A2024' \
  -d '{"error": "Not found"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/author/1740395/papers",
    params={
        'fields': 'paperId,title,year',
        'limit': '50',
        'offset': '50',
        'publicationDateOrYear': '2020:2024',
    },
    json={
        'error': 'Not found',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/{author_id}/papers", fields="paperId,title,year", limit=50, offset=50, publicationDateOrYear="2020:2024")

for item in result:
    print(item)
const body = {
  "error": "Not found"
};

const resp = await fetch("https://api.semanticscholar.org/author/1740395/papers?fields=paperId%2Ctitle%2Cyear&limit=50&offset=50&publicationDateOrYear=2020%3A2024", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:47:54.444448 403 120ms
2026-04-16 03:26:43.041137 403 155ms
2026-04-16 01:14:47.612437 403 148ms
2026-04-15 03:52:18.112341 403 188ms
2026-04-15 01:42:58.069017 403 168ms
2026-04-15 01:34:02.954842 403 152ms
2026-04-14 02:57:38.116493 403 115ms
2026-04-14 02:18:46.547425 403 158ms
2026-04-14 01:30:27.020302 403 129ms
2026-04-12 16:04:01.909093 403 157ms
2026-04-12 14:09:56.156402 403 134ms
2026-04-12 13:30:01.534482 403 131ms
2026-04-10 02:08:41.068213 403 201ms
2026-04-10 01:00:06.150864 403 157ms
2026-04-10 00:30:01.730805 403 72ms
2026-04-09 02:29:30.988920 403 109ms
2026-04-09 02:18:33.999703 403 138ms
2026-04-09 00:34:35.198291 403 144ms
2026-03-23 10:28:21.636590 403 98ms
2026-03-23 09:37:50.209942 403 62ms
2026-03-23 09:20:12.777537 403 72ms